Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 572082 (CVE-2016-1922)

Summary: <app-emulation/qemu-2.5.0-r2: i386: null pointer dereference in vapic_write (CVE-2016-1922)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.openwall.com/lists/oss-security/2016/01/16/1
Whiteboard: B3 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 578044    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2016-01-16 10:57:39 UTC
From ${URL} :

Qemu emulator built with the TPR optimization for 32-bit Windows guests 
support is vulnerable to a null pointer dereference flaw. It occurs while 
doing I/O port write operations via hmp interface. In that, 'current_cpu' 
remains null, which leads to the null pointer dereference.

A user/process could use this flaw to crash the Qemu instance, resulting in 
DoS issue.

Upstream patch:
- ---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg02812.html

Reference:
- ----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1283934



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Agostino Sarubbo gentoo-dev 2016-01-26 15:08:07 UTC
This is fixed upstream:

http://git.qemu.org/?p=qemu.git;a=commitdiff;h=4c1396cb576c9b14425558b73de1584c7a9735d7
Comment 2 SpanKY gentoo-dev 2016-03-23 05:25:53 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:13:08 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:15:21 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:27:38 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).